![Logo](https://rocketleaguemapmaking.com/icons/logo_rlmm_round_144.png)
# Upload Guide

## Part 1 - New Project
### Go to Menu > Projects > Create new project
![Step1](https://i.imgur.com/deQflqY.png)

### Click **Create from template**
![Step2](https://i.imgur.com/pn3sgaO.png)

### Select **Maps Template** from the Instance list and click **Use template**
![Step3](https://i.imgur.com/zePnJPb.png)

### Provide a **Project name** and short **Project description**. Select your user name next to the **Project URL** if it is not already selected. Set **Visibility Level** to **Public**. Click **Create project**.
![Step4](https://i.imgur.com/onS6xZV.png)


## Part 2 - File Upload
### In the new project, click the **+ v** button next to the project name, and select **Upload file**
![Step5](https://i.imgur.com/y7Kwjej.png)

### Drag and drop the map file. Optionally add a commit message.
![Step6](https://i.imgur.com/3HMDhl2.png)

### Click the **+ v** button again, and select **Upload file**
![Step7](https://i.imgur.com/y7Kwjej.png)

### Drag and drop a thumbnail image file. Optionally add a commit message.
![Step8](https://i.imgur.com/3HMDhl2.png)

## Part 3 - Publish
### On the sidebar, click **Repository** > **Tags**
![Step9](https://i.imgur.com/JdHV7SS.png)

### Click **New Tag**
![Step10](https://i.imgur.com/qGjAjog.png)

### Provide a **Tag name** and click **Create tag**
![Step11](https://i.imgur.com/EwjtTUU.png)

### Check https://rocketleaguemaps.us/index.php after a few minutes for your map!
